MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0003524ATutorTests/Surveyspublic2008-07-28 01:262013-02-28 14:57
ReporterIndieRect 
Assigned Togreg 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version1.6.1 
Target VersionFixed in Version1.6.2 
Summary0003524: Bugfixes in tools/tests/results.php
DescriptionI suggest the following changes to the file tools/tests/results.php fixing several minor bugs:
1. Test title not appearing despite having been programmed to be shown.
2. Bogus full name appearing in guest submissions.
3. "<em&gtAnonymous</em&gt" literally appearing in full name field in anonymous submissions.
4. An obsolete fragment in a SQL query.

The diff is against r7761, and tested in 1.6.1pl1 (no changes in between in SVN).

A note: line 44 checks for "$anonymous == 0", not "!$anonymous", since I didn't find out why in other places checks for "$anonymous == 1" are used instead of just "$anonymous".
TagsNo tags attached.
Affects versionSVN
SVN Revision#
Attached Filesdiff file icon questions_bugfixes.diff [^] (2,830 bytes) 2008-07-28 01:26 [Show Content]

- Relationships

-  Notes
(0003104)
IndieRect (reporter)
2008-07-28 01:28

Is HTML on or off here. The 3rd has to be '3. "Anonymous" ...'.
(0003113)
IndieRect (reporter)
2008-07-31 05:56

Hold on with these fixes please. I guess I will change results.php and delete_results.php to allow group deletion of submissions. So I'll post a more complete diff for your consideration soon.
(0003114)
IndieRect (reporter)
2008-08-05 02:38

To avoid double-patching, just close this issue without applying the diff. 0003528 contains all the fixes.
(0003137)
greg (administrator)
2008-08-21 07:36

1. Test title not appearing despite having been programmed to be shown.
2. Bogus full name appearing in guest submissions.
3. "<em&gtAnonymous</em&gt" literally appearing in full name field in anonymous submissions.
4. An obsolete fragment in a SQL query.
Committed revision 7795
(0003145)
IndieRect (reporter)
2008-08-21 22:10

Please REVERT r7795 back and close this bug report.

It has been superseded with 0003528. Now that 0003528 is in place this diff only breaks things.

P.S. Thanks for giving me credit.
(0003157)
IndieRect (reporter)
2008-09-01 03:23

Anybody here?
It would take less work if you revert this file to 7794 right now, before someone changes it.
(0003159)
greg (administrator)
2008-09-02 06:07

patience please
(0003160)
IndieRect (reporter)
2008-09-02 06:31

OK. :) Just wanted to save your time.
(0006160)
greg (administrator)
2013-02-28 14:57

na

- Issue History
Date Modified Username Field Change
2008-07-28 01:26 IndieRect New Issue
2008-07-28 01:26 IndieRect File Added: questions_bugfixes.diff
2008-07-28 01:26 IndieRect Affects version => SVN
2008-07-28 01:28 IndieRect Note Added: 0003104
2008-07-31 05:56 IndieRect Note Added: 0003113
2008-08-05 02:38 IndieRect Note Added: 0003114
2008-08-21 07:36 greg Status new => resolved
2008-08-21 07:36 greg Fixed in Version => 1.6.2
2008-08-21 07:36 greg Resolution open => fixed
2008-08-21 07:36 greg Assigned To => greg
2008-08-21 07:36 greg Note Added: 0003137
2008-08-21 09:33 greg Status resolved => closed
2008-08-21 22:10 IndieRect Status closed => feedback
2008-08-21 22:10 IndieRect Resolution fixed => reopened
2008-08-21 22:10 IndieRect Note Added: 0003145
2008-09-01 03:23 IndieRect Note Added: 0003157
2008-09-02 06:07 greg Note Added: 0003159
2008-09-02 06:31 IndieRect Note Added: 0003160
2013-02-28 14:57 greg Note Added: 0006160
2013-02-28 14:57 greg Status feedback => closed
2013-02-28 14:57 greg Resolution reopened => fixed


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker